import request from '@/utils/request'
import { AxiosPromise } from 'axios'

// apiUrl 应用管理
const api = {
	page: '/sys/app/page',
	create: '/sys/app/create',
	update: '/sys/app/update',
	delete: '/sys/app/delete',
	status: 'sys/app/status'
}
/**
 * 应用管理 - 列表
 */
function appPageApi(data: any): AxiosPromise {
	return request({
		url: api.page,
		method: 'post',
		data
	})
}

/**
 * 应用管理 - 新增编辑保存
 */
function appAddOrEditSaveApi(data: any): AxiosPromise {
	return request({
		url: data.id ? api.update : api.create,
		method: 'post',
		data
	})
}

/**
 * 应用管理 - 删除
 */
function appDeleteApi(data: any): AxiosPromise {
	return request({
		url: api.delete,
		method: 'post',
		data
	})
}

function appStatusApi(data: any): AxiosPromise {
	return request({
		url: api.status + `/${data.id}?status=${data.status}`,
		method: 'post'
	})
}
export default {
	appPageApi,
	appAddOrEditSaveApi,
	appDeleteApi,
	appStatusApi
}
