import request from '@/utils/request'

export default {
	menu: {
		myMenus: {
			url: `/system/menu/my/1.6.1`,
			name: '获取我的菜单',
			get: async function () {
				return request({
					method: 'get',
					url: this.url
				})
			}
		},
		list: {
			url: `/system/menu/list`,
			name: '获取菜单',
			get: async function () {
				return request({
					method: 'get',
					url: this.url
				})
			}
		}
	},
	dic: {
		tree: {
			url: `/system/dic/tree`,
			name: '获取字典树',
			get: async function () {
				return request({
					method: 'get',
					url: this.url
				})
			}
		},
		list: {
			url: `/system/dic/list`,
			name: '字典明细',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		},
		get: {
			url: `/system/dic/get`,
			name: '获取字典数据',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	},
	role: {
		list: {
			url: `/system/role/list2`,
			name: '获取角色列表',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	},
	dept: {
		list: {
			url: `/system/dept/list`,
			name: '获取部门列表',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	},
	user: {
		list: {
			url: `/system/user/list`,
			name: '获取用户列表',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	},
	app: {
		list: {
			url: `/system/app/list`,
			name: '应用列表',
			get: async function () {
				return request({
					method: 'get',
					url: this.url
				})
			}
		}
	},
	log: {
		list: {
			url: `/system/log/list`,
			name: '日志列表',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	},
	table: {
		list: {
			url: `/system/table/list`,
			name: '表格列管理列表',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		},
		info: {
			url: `/system/table/info`,
			name: '表格列管理详情',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	},
	tasks: {
		list: {
			url: `/system/tasks/list`,
			name: '系统任务管理',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	},
	demo: {
		page: {
			url: `/demo/page`,
			name: '分页列表',
			get: async function (params) {
				return request({
					method: 'get',
					url: this.url,
					params
				})
			}
		}
	}
}
