// 当前系统 menu 接口
/**
 * /sys/resource/list-tree  -> /sys/resource/list-menu-permissions
 * 数据 对标
 */
/**
 * 显示名称(title):  -> meta.title
 * 图标(icon): -> meta.icon
 * 类型(type): -> meta.type {0:菜单, 1: Iframe, 2: 外链, 3: 按钮}
 * 别名(alias): -> name 即：组件名
 * 路由地址(path): -> path eg: /flow/groups/index
 * 视图(component): -> component eg: flow/groups/index 即：组件实体路径
 * !!!重定向(redirect): -> redirect eg: /flow/groups/index  未添加到 redirect ×××
 * !!!菜单高亮(active) 【本身就不会保存】: -> ???  ×××  先隐藏 todo...
 * 颜色(color): -> ???  ×××  未添加到 配置中 ×××  先隐藏 todo...
 * 隐藏菜单(hidden): -> ???  ×××  未添加到 配置中 ×××
 * 隐藏面包屑(hiddenBreadcrumb) 【本身就不会保存】: -> ???  ×××  未添加到 配置中 ×××
 * 接口权限 apiList 删除 实际未响应 todo....
 */
// 成功的 本地 示例
const routers = [
	{
		path: '/flow',
		// component: Layout,
		component: '',
		meta: { title: '流程管理', icon: 'guide' },
		redirect: '/flow/group', // todo
		children: [
			{
				path: 'group1',
				// component: () => import('@/views/flow/group/index.vue'),
				component: 'flow/group/index',
				name: 'flow_group1',
				meta: { title: '流程组', icon: '' }
			},
			{
				path: 'group',
				// component: () => import('@/views/flow/group/index.vue'),
				component: 'flow/group/index',
				name: 'flow_group',
				meta: { title: '流程组 - ui调整', icon: '' }
			},
			{
				path: 'form',
				// component: () => import('@/views/flow/form/index.vue'),
				component: 'flow/form/index',
				name: 'flow_form',
				meta: { title: '流程表单', icon: '' }
			},
			{
				path: 'create',
				// component: () => import('@/views/flow/create/index.vue'),
				component: 'flow/create/index',
				name: 'flow_create',
				meta: { title: '创建流程', icon: '' }
			},
			{
				path: 'task',
				// component: () => import('@/views/flow/task/index.vue'),
				component: 'flow/task/index',
				name: 'flow_task',
				meta: { title: '流程任务', icon: '' }
			},
			{
				path: 'instance',
				// component: () => import('@/views/flow/instance/index.vue'),
				component: 'flow/instance/index',
				name: 'flow_instance',
				meta: { title: '流程实例', icon: '' }
			},
			{
				path: 'modal',
				// component: () => import('@/views/flow/modal/index.vue'),
				component: 'flow/modal/index',
				name: 'flow_modal',
				meta: { title: '流程模型', icon: '' }
			}
		]
	}
]
export const test_menuData = {
	menu: routers,
	permissions: ['list.add', 'list.edit', 'list.delete', 'user.add', 'user.edit', 'user.delete']
}
